CreateEvalSuiteAPI mirrors erdo_create_eval_suite.
curl --request POST \
--url https://api.erdo.ai/v1/evals/suites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_key": "<string>",
"cases": [
{
"evaluators": [
{
"rubric": [
{
"criterion": "<string>",
"weight": 123
}
],
"script": "<string>",
"type": "<string>",
"weight": 123
}
],
"input": "<string>",
"name": "<string>",
"rubric": [
{
"criterion": "<string>",
"weight": 123
}
],
"setup_messages": [
"<string>"
],
"tags": [
"<string>"
]
}
],
"cron_enabled": true,
"description": "<string>",
"evaluate_artifact": true,
"judge_model": "<string>",
"name": "<string>",
"pass_threshold": 123,
"slug": "<string>"
}
'import requests
url = "https://api.erdo.ai/v1/evals/suites"
payload = {
"agent_key": "<string>",
"cases": [
{
"evaluators": [
{
"rubric": [
{
"criterion": "<string>",
"weight": 123
}
],
"script": "<string>",
"type": "<string>",
"weight": 123
}
],
"input": "<string>",
"name": "<string>",
"rubric": [
{
"criterion": "<string>",
"weight": 123
}
],
"setup_messages": ["<string>"],
"tags": ["<string>"]
}
],
"cron_enabled": True,
"description": "<string>",
"evaluate_artifact": True,
"judge_model": "<string>",
"name": "<string>",
"pass_threshold": 123,
"slug": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_key: '<string>',
cases: [
{
evaluators: [
{
rubric: [{criterion: '<string>', weight: 123}],
script: '<string>',
type: '<string>',
weight: 123
}
],
input: '<string>',
name: '<string>',
rubric: [{criterion: '<string>', weight: 123}],
setup_messages: ['<string>'],
tags: ['<string>']
}
],
cron_enabled: true,
description: '<string>',
evaluate_artifact: true,
judge_model: '<string>',
name: '<string>',
pass_threshold: 123,
slug: '<string>'
})
};
fetch('https://api.erdo.ai/v1/evals/suites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cases": [
{
"context": {},
"created_at": "2023-11-07T05:31:56Z",
"evaluators": [
{
"rubric": [
{
"criterion": "<string>",
"weight": 123
}
],
"script": "<string>",
"type": "<string>",
"weight": 123
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": "<string>",
"name": "<string>",
"rubric": [
{
"criterion": "<string>",
"weight": 123
}
],
"suite_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z"
}
],
"suite": {
"agent_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cron_enabled": true,
"description": "<string>",
"evaluate_artifact": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"judge_model": "<string>",
"name": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pass_threshold": 123,
"slug": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
CreateEvalSuiteAPI mirrors erdo_create_eval_suite.
POST
/
v1
/
evals
/
suites
CreateEvalSuiteAPI mirrors erdo_create_eval_suite.
Authorizations
An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).
Body
application/json
⌘I

